## bzr-hg 0.2.0~bzr289

=== Makefile ===
DEBUGGER ?= 
BZR ?= $(shell which bzr)
PYTHON ?= $(shell which python)
SETUP ?= ./setup.py
PYDOCTOR ?= pydoctor
CTAGS ?= ctags
PYLINT ?= pylint
RST2HTML ?= rst2html
TESTS ?= bzrlib.tests.per_foreign_vcs.*Hg bzrlib.plugins.hg

all:: build 

build::
	$(SETUP) build

build-inplace::

install::
	$(SETUP) install

clean::
	$(SETUP) clean
	rm -f *.so

TMP_PLUGINS_DIR = $(shell pwd)/.plugins

$(TMP_PLUGINS_DIR):
	mkdir -p $@

$(TMP_PLUGINS_DIR)/hg: $(TMP_PLUGINS_DIR)
	ln -sf .. $@

check:: build-inplace $(TMP_PLUGINS_DIR)/hg
	BZR_PLUGIN_PATH=$(TMP_PLUGINS_DIR) $(DEBUGGER) $(PYTHON) $(PYTHON_OPTIONS) $(BZR) $(BZR_OPTIONS) selftest $(TEST_OPTIONS) $(TESTS)

check-verbose::
	$(MAKE) check TEST_OPTIONS=-v

check-one::
	$(MAKE) check TEST_OPTIONS=--one

check-random::
	$(MAKE) check TEST_OPTIONS="--random=now --verbose --one"

show-plugins::
	BZR_PLUGIN_PATH=$(TMP_PLUGINS_DIR) $(BZR) plugins

lint::
	$(PYLINT) -f parseable *.py */*.py

tags::
	$(CTAGS) -R .

ctags:: tags

coverage::
	$(MAKE) check BZR_OPTIONS="--coverage ,coverage"

=== debian/changelog ===
bzr-hg (0.2.0~bzr289-1) unstable; urgency=low

  * New upstream snapshot.
   + Fixes compatibility with newer versions of Mercurial. Closes: #574138

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 24 Mar 2010 11:43:45 +0100

bzr-hg (0.1+bzr283-1) unstable; urgency=low

  * New upstream snapshot.
  * Switch to source format 3.
  * Bump standards version to 3.8.4.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 08 Feb 2010 03:14:49 +0100

bzr-hg (0.1+bzr271-1) unstable; urgency=low

  * New upstream snapshot.
   + Supports more versions of Mercurial. Closes: #559378
   + Fixes regression in versionedfiles. Closes: #551193

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 05 Dec 2009 02:28:31 +0100

bzr-hg (0.1-2) unstable; urgency=low

  * Add John Ferlito to Uploaders.
  * Update Depends.

 -- John Francesco Ferlito <johnf@inodes.org>  Wed, 14 Oct 2009 00:33:01 +1100

bzr-hg (0.1-1) unstable; urgency=low

  * New upstream release.
  * Bump standards version to 3.8.3.
  * Add watch file.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 25 Sep 2009 12:33:33 +0200

bzr-hg (0.1~bzr63-1) unstable; urgency=low

  * Initial release. (Closes: #537485)

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 18 Jul 2009 21:08:32 +0200

=== debian/control ===
Source: bzr-hg
Section: devel
Priority: optional
Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
Uploaders: Jelmer Vernooij <jelmer@debian.org>, John Francesco Ferlito <johnf@inodes.org>
Build-Depends: debhelper (>= 5.0.37.2), cdbs (>= 0.4.43), python, python-central (>= 0.5)
Build-Depends-Indep: mercurial, bzr (>= 1.13)
Standards-Version: 3.8.4
Homepage: https://launchpad.net/bzr-hg
Vcs-Bzr: http://bzr.debian.org/pkg-bazaar/bzr-hg/unstable
XS-Python-Version: all

Package: bzr-hg
Architecture: all
Depends: bzr (>= 1.13), bzr (<< 2.2~), mercurial (>= 1.3~), mercurial (<< 1.6~), ${python:Depends}, ${misc:Depends}
XB-Python-Version: ${python:Versions}
Description: Bazaar plugin providing Mercurial integration
 Plugin for Bazaar that adds the ability to work with Mercurial repositories.
 .
 At the moment most read-only operations work, including cloning local and 
 remote Mercurial repositories.

## bzr-hg 0.2.0~bzr299

=== Makefile ===
--- 
+++ 
@@ -22,16 +22,8 @@
 	$(SETUP) clean
 	rm -f *.so
 
-TMP_PLUGINS_DIR = $(shell pwd)/.plugins
-
-$(TMP_PLUGINS_DIR):
-	mkdir -p $@
-
-$(TMP_PLUGINS_DIR)/hg: $(TMP_PLUGINS_DIR)
-	ln -sf .. $@
-
-check:: build-inplace $(TMP_PLUGINS_DIR)/hg
-	BZR_PLUGIN_PATH=$(TMP_PLUGINS_DIR) $(DEBUGGER) $(PYTHON) $(PYTHON_OPTIONS) $(BZR) $(BZR_OPTIONS) selftest $(TEST_OPTIONS) $(TESTS)
+check:: build-inplace 
+	BZR_PLUGINS_AT=hg@$(shell pwd) $(DEBUGGER) $(PYTHON) $(PYTHON_OPTIONS) $(BZR) $(BZR_OPTIONS) selftest $(TEST_OPTIONS) $(TESTS)
 
 check-verbose::
 	$(MAKE) check TEST_OPTIONS=-v
@@ -43,7 +35,7 @@
 	$(MAKE) check TEST_OPTIONS="--random=now --verbose --one"
 
 show-plugins::
-	BZR_PLUGIN_PATH=$(TMP_PLUGINS_DIR) $(BZR) plugins
+	BZR_PLUGINS_AT=hg@$(shell pwd) $(BZR) plugins -v
 
 lint::
 	$(PYLINT) -f parseable *.py */*.py

=== debian/changelog ===
bzr-hg (0.2.0~bzr299-1) unstable; urgency=low

  * New upstream snapshot.
  * Mark as compatible with Mercurial 1.6. Closes: #588717
  * Bump standards version to 3.9.1.
  * Mark as compatible with bzr 2.2.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 31 Jul 2010 01:19:57 +0200

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Uploaders: Jelmer Vernooij <jelmer@debian.org>, John Francesco Ferlito <johnf@inodes.org>
 Build-Depends: debhelper (>= 5.0.37.2), cdbs (>= 0.4.43), python, python-central (>= 0.5)
 Build-Depends-Indep: mercurial, bzr (>= 1.13)
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: https://launchpad.net/bzr-hg
 Vcs-Bzr: http://bzr.debian.org/pkg-bazaar/bzr-hg/unstable
 XS-Python-Version: all
 
 Package: bzr-hg
 Architecture: all
-Depends: bzr (>= 1.13), bzr (<< 2.2~), mercurial (>= 1.3~), mercurial (<< 1.6~), ${python:Depends}, ${misc:Depends}
+Depends: bzr (>= 1.13), bzr (<< 2.3~), mercurial (>= 1.3~), mercurial (<< 1.7~), ${python:Depends}, ${misc:Depends}
 XB-Python-Version: ${python:Versions}
 Description: Bazaar plugin providing Mercurial integration
  Plugin for Bazaar that adds the ability to work with Mercurial repositories.

## bzr-hg 0.2.0~bzr409

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 CTAGS ?= ctags
 PYLINT ?= pylint
 RST2HTML ?= rst2html
-TESTS ?= bzrlib.tests.per_foreign_vcs.*Hg bzrlib.plugins.hg
+TESTS ?= -s bt.per_foreign_vcs.*Hg -s bp.hg
 
 all:: build

=== debian/changelog ===
bzr-hg (0.2.0~bzr409-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control
    - added python-bzrlib.tests to b-d-i, needed to run tests, and fix a FTBFS;
      Closes: #626199

 -- Sandro Tosi <morph@debian.org>  Thu, 02 Jun 2011 17:29:57 +0200

bzr-hg (0.2.0~bzr409-1) unstable; urgency=low

  * Support running the test suite in parallel.
  * Switch to dh_python2. Closes: #616760
  * New upstream snapshot.
   + Adds compatibility with 1.8. Closes: #618308
  * Switch to debhelper 7.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 15 Mar 2011 23:43:41 +0100

bzr-hg (0.2.0~bzr357-1) unstable; urgency=low

  * New upstream snapshot.
   + Fix incompatibility with newer versions of Mercurial. closes: #614523

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 22 Feb 2011 15:36:26 +0100

bzr-hg (0.2.0~bzr341-1) unstable; urgency=low

  * New upstream snapshot.
   + Adds support for Mercurial 1.6, Bazaar 2.4.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 30 Jan 2011 12:00:30 +0100

bzr-hg (0.2.0~bzr326-1) unstable; urgency=low

  * New upstream snapshot.
  * Run testsuite as part of build.
  * Mark as only supporting Python >= 2.4.
  * Add Enhances: bzr.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 21 Dec 2010 15:26:33 +0100

bzr-hg (0.2.0~bzr324-1) unstable; urgency=low

  * New upstream snapshot.
    + Drops support for Mercurial < 1.6.
  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 10 Oct 2010 01:54:22 +0200

=== debian/control ===
Source: bzr-hg
Section: devel
Priority: optional
Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
Uploaders: Jelmer Vernooij <jelmer@debian.org>, John Francesco Ferlito <johnf@inodes.org>
Build-Depends: debhelper (>= 7.0.50~), python (>= 2.6.6-3)
Build-Depends-Indep: mercurial, bzr (>= 2.3), bzr (<< 2.5~), mercurial (>= 1.6~), mercurial (<< 1.9~), python-testtools, python-subunit, python-bzrlib.tests
Standards-Version: 3.9.1
Homepage: https://launchpad.net/bzr-hg
Vcs-Bzr: http://bzr.debian.org/pkg-bazaar/bzr-hg/unstable
X-Python-Version: >= 2.4

Package: bzr-hg
Architecture: all
Depends: bzr (>= 2.3), bzr (<< 2.5~), mercurial (>= 1.6~), mercurial (<< 1.9~), ${python:Depends}, ${misc:Depends}
Enhances: bzr
Description: Bazaar plugin providing Mercurial integration
 Plugin for Bazaar that adds the ability to work with Mercurial repositories.
 .
 At the moment most read-only operations work, including cloning local and
 remote Mercurial repositories.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --buildsystem=python_distutils --with python2 $*

override_dh_auto_clean::
	dh_auto_clean --buildsystem=python_distutils
	find . -name "*.pyc" -print0 | xargs -0 rm -f

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
CONCURRENCY = BZR_CONCURRENCY=$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	$(CONCURRENCY) BZR_PLUGINS_AT=hg@$(CURDIR) /usr/bin/bzr selftest --parallel=fork \
	    -v -s bp.hg
endif

=== debian/watch ===
version=3
http://samba.org/~jelmer/bzr/bzr-hg-(.*).tar.gz

## bzr-hg 0.2.0~bzr511

=== Makefile ===
--- 
+++ 
@@ -25,6 +25,9 @@
 check:: build-inplace 
 	BZR_PLUGINS_AT=hg@$(shell pwd) $(DEBUGGER) $(PYTHON) $(PYTHON_OPTIONS) $(BZR) $(BZR_OPTIONS) selftest $(TEST_OPTIONS) $(TESTS)
 
+check-all::
+	$(MAKE) check TESTS="^bzrlib.plugins.hg. Hg"
+
 check-verbose::
 	$(MAKE) check TEST_OPTIONS=-v

=== debian/changelog ===
bzr-hg (0.2.0~bzr511-1) unstable; urgency=low

  [ John Ferlito ]
  * Remove John Ferlito from Uploaders.

  [ Jelmer Vernooij ]
  * Change fix for bug #626199 to keep support for bzr < 2.4 beta 1.
  * New upstream snapshot.
   + Properly decodes tags to unicode. Closes: #635558
  * Bump standards version to 3.9.2 (no changes).

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 22 Aug 2011 13:03:06 +0200

=== debian/control ===
Source: bzr-hg
Section: devel
Priority: optional
Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
Uploaders: Jelmer Vernooij <jelmer@debian.org>
Build-Depends: debhelper (>= 7.0.50~), python (>= 2.6.6-3)
Build-Depends-Indep: bzr (<< 2.5~), python-bzrlib.tests | bzr (<< 2.4.0~beta1-2), bzr (>= 2.3), mercurial, mercurial (<< 1.10~), mercurial (>= 1.6~), python-subunit, python-testtools
Standards-Version: 3.9.2
Homepage: https://launchpad.net/bzr-hg
Vcs-Bzr: http://bzr.debian.org/pkg-bazaar/bzr-hg/unstable
X-Python-Version: >= 2.4

Package: bzr-hg
Architecture: all
Depends: bzr (<< 2.5~), bzr (>= 2.3), mercurial (<< 1.10~), mercurial (>= 1.6~), ${misc:Depends}, ${python:Depends}
Enhances: bzr
Description: Bazaar plugin providing Mercurial integration
 Plugin for Bazaar that adds the ability to work with Mercurial repositories.
 .
 At the moment most read-only operations work, including cloning local and
 remote Mercurial repositories.

## bzr-hg 0.2.0~bzr531

=== debian/changelog ===
bzr-hg (0.2.0~bzr531-1) unstable; urgency=low

  * Mark as compatible with pre-releases of bzr 2.5.
  * New upstream snapshot.
   + Marks itself as compatible with Mercurial 1.9. LP: #888767,
     Closes: #648309

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 10 Nov 2011 22:39:12 +0100

=== debian/control ===
Source: bzr-hg
Section: devel
Priority: optional
Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
Uploaders: Jelmer Vernooij <jelmer@debian.org>
Build-Depends: debhelper (>= 7.0.50~), python (>= 2.6.6-3)
Build-Depends-Indep: bzr (<< 2.5.0), python-bzrlib.tests | bzr (<< 2.4.0~beta1-2), bzr (>= 2.3), mercurial, mercurial (<< 2.1~), mercurial (>= 1.6~), python-subunit, python-testtools
Standards-Version: 3.9.2
Homepage: https://launchpad.net/bzr-hg
Vcs-Bzr: http://bzr.debian.org/pkg-bazaar/bzr-hg/unstable
X-Python-Version: >= 2.4

Package: bzr-hg
Architecture: all
Depends: bzr (<< 2.5.0), bzr (>= 2.3), mercurial (<< 2.1~), mercurial (>= 1.6~), ${misc:Depends}, ${python:Depends}
Enhances: bzr
Description: Bazaar plugin providing Mercurial integration
 Plugin for Bazaar that adds the ability to work with Mercurial repositories.
 .
 At the moment most read-only operations work, including cloning local and
 remote Mercurial repositories.

## bzr-hg 0.2.0~bzr540

=== debian/changelog ===
bzr-hg (0.2.0~bzr540-1) unstable; urgency=low

  * New upstream snapshot.
   + Fixes compatibility with bzr 2.5. Closes: #652791

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 20 Dec 2011 16:56:04 +0100

=== debian/control ===
Source: bzr-hg
Section: devel
Priority: optional
Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
Uploaders: Jelmer Vernooij <jelmer@debian.org>
Build-Depends: debhelper (>= 7.0.50~), python (>= 2.6.6-3)
Build-Depends-Indep: bzr (<< 2.6.0), python-bzrlib.tests | bzr (<< 2.4.0~beta1-2), bzr (>= 2.5), mercurial, mercurial (<< 2.1~), mercurial (>= 1.6~), python-subunit, python-testtools
Standards-Version: 3.9.2
Homepage: https://launchpad.net/bzr-hg
Vcs-Bzr: http://bzr.debian.org/pkg-bazaar/bzr-hg/unstable
X-Python-Version: >= 2.4

Package: bzr-hg
Architecture: all
Depends: bzr (<< 2.6.0), bzr (>= 2.5), mercurial (<< 2.1~), mercurial (>= 1.6~), ${misc:Depends}, ${python:Depends}
Enhances: bzr
Description: Bazaar plugin providing Mercurial integration
 Plugin for Bazaar that adds the ability to work with Mercurial repositories.
 .
 At the moment most read-only operations work, including cloning local and
 remote Mercurial repositories.

## bzr-hg 0.2.0~bzr544

=== debian/changelog ===
bzr-hg (0.2.0~bzr544-1) unstable; urgency=low

  * Use DEP-5 for copyright file.
  * New upstream snapshot.
   + Fixes compatibility with bzr 2.5.
   + Fixes viewing of tags. Closes: #640164
   + Fixes various locking issues. Closes: #635557, #634403
   + Adds get_known_graph_ancestry() implementation. LP: #841134

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 26 Jan 2012 03:12:12 +0100

## bzr-hg 0.2.0~bzr545

=== Makefile ===
--- 
+++ 
@@ -50,3 +50,20 @@
 
 coverage::
 	$(MAKE) check BZR_OPTIONS="--coverage ,coverage"
+
+.PHONY: update-pot po/bzr-hg.pot
+update-pot: po/bzr-hg.pot
+
+TRANSLATABLE_PYFILES:=$(shell find . -name '*.py' \
+		| grep -v 'tests/' \
+		)
+
+po/bzr-hg.pot: $(PYFILES) $(DOCFILES)
+	BZR_PLUGINS_AT=hg@$(shell pwd) bzr export-pot \
+          --plugin=hg > po/bzr-hg.pot
+	echo $(TRANSLATABLE_PYFILES) | xargs \
+	  xgettext --package-name "bzr-hg" \
+	  --msgid-bugs-address "<bazaar@lists.canonical.com>" \
+	  --copyright-holder "Canonical Ltd <canonical-bazaar@lists.canonical.com>" \
+	  --from-code ISO-8859-1 --sort-by-file --join --add-comments=i18n: \
+	  -d bzr-hg -p po -o bzr-hg.pot

=== debian/changelog ===
bzr-hg (0.2.0~bzr545-1) experimental; urgency=low

  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 14 Feb 2012 18:18:36 +0100

=== debian/control ===
Source: bzr-hg
Section: devel
Priority: optional
Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
Uploaders: Jelmer Vernooij <jelmer@debian.org>
Build-Depends: debhelper (>= 7.0.50~), python (>= 2.6.6-3)
Build-Depends-Indep: bzr (<< 2.5.0), python-bzrlib.tests | bzr (<< 2.4.0~beta1-2), bzr (>= 2.3), mercurial, mercurial (<< 2.2~), mercurial (>= 1.6~), python-subunit, python-testtools
Standards-Version: 3.9.2
Homepage: https://launchpad.net/bzr-hg
Vcs-Bzr: http://bzr.debian.org/pkg-bazaar/bzr-hg/unstable
X-Python-Version: >= 2.4

Package: bzr-hg
Architecture: all
Depends: bzr (<< 2.5.0), bzr (>= 2.3), mercurial (<< 2.2~), mercurial (>= 1.6~), ${misc:Depends}, ${python:Depends}
Enhances: bzr
Description: Bazaar plugin providing Mercurial integration
 Plugin for Bazaar that adds the ability to work with Mercurial repositories.
 .
 At the moment most read-only operations work, including cloning local and
 remote Mercurial repositories.
